% !TeX root = ./modelling-homework.tex
\documentclass[12pt]{src/stem-report}

%% Import additional packages and header definitions
% For the LaTex newbies, \input let's you introduce a .tex file as if it were
% part of the current file
\input{src/packages}


%% Macros and colour definitions.
\input{src/macros.tex}
\input{src/colors.tex}

% *****************************************************************************
%                     Report configuration: Tweak this
% *****************************************************************************
%% Developer and debug options
% \overfullrule=5pt % Un-comment this to show a black bar by overfull hboxes.

%% Bibliography
% Be careful with reference files list, always avoid whitespaces!
\addbibresource{bibliography/references.bib}

%% Title parameters
\title{Modelling Homework}
% \subtitle{So great it needs a second line} % Can be commented out
\author{
  Gimenez Bolinches, Andreu \\
  \textit{esdandreu@gmail.com} \\
}
\date{\today}
\IfFileExists{./abstract.tex}{
  \abstract{\input{abstract.tex}}
}

\begin{document}
  % ***************************************************************************
  %                              Front Page
  % ***************************************************************************
  \hypersetup{linkcolor=black}

  %% Build title 
  \maketitle
  
  \tableofcontents

  \hypersetup{linkcolor=documentLinkColor}

  \section{Introduction}
  This report includes the analytical solution of the direct and inverse
  kinematics problem for a manipulator with six degrees of freedom, namely ABB
  IRb-7600.

  All calculus shown in this report has been carried out using \href{https://www.wolfram.com/mathematica/}{Mathematica}
  software with an educational license. One can find the corresponding notebook
  in the
  \href{https://gitlab.com/jemaro/wut/modelling-and-control-of-manipulators/modelling-homework}{author's
  repository}.

  \clearpage

  % ***************************************************************************
  %                              Main Content
  % ***************************************************************************
  \input{content.tex}

  % ***************************************************************************
  %                              Appendices
  % ***************************************************************************
  \IfFileExists{./appendices.tex}{
    \appendix
    \input{appendices}
    \unappendix
    \clearpage
  }

  % ***************************************************************************
  %                              Bibliography
  % ***************************************************************************
  \singlespace
  \printbibliography[%
    heading=bibintoc,%
    title={References}%
  ]

\end{document}